# QImageIOPlugin Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QImageIOPlugin(QObject parent)

### Constructor Properties

- prototype: The QImageIOPlugin prototype object
- CanRead = 0x1
- CanWrite = 0x2
- CanReadIncremental = 0x4
- Capability( value )
- Capabilities( value1, value2, ... )

### Prototype Object Properties

The QImageIOPlugin prototype object inherits properties from the QObject prototype object and also has the following properties.

- Capabilities capabilities(QIODevice device, QByteArray format)
- QImageIOHandler create(QIODevice device, QByteArray format)
- List keys()

### Instance Properties

QImageIOPlugin objects have no special properties beyond those inherited from the QImageIOPlugin prototype object.